#@names
#Feature: TestsWithName
#  Background:
#    Given I'm on "Html5 Page" page
#
#  Scenario: click element
#    When I click on "[value*='Red Button']"
#    Then the Alert text equals to "Red button"
#
#  Scenario: jsClick element
#    When click with JS on "[value*='Red Button']"
#    Then the Alert text equals to "Red button"
#
#  Scenario: value element
#    Then the "[value*='Red Button']" text equals to "Big Red Button-Input"
#
#  Scenario: labelText
#    Then the "Your Name" label text equals to "Your name:"
#
#  Scenario: input element
#    When I input "simple 1234" in "Your Name"
#    Then the "Your Name" text matches to "\w{6} \d{4}"
#
#  Scenario: check element
#    When check "Accept Conditions"
#    Then the "Accept Conditions" is selected
#
#  Scenario: uncheck element
#    When uncheck "Accept Conditions"
#    Then the "Accept Conditions" is deselected
#
#  Scenario: clear element
#    When I input "simple text" in "Your Name"
#    Then the "Your Name" text equals to "simple text"
#    When I clear "Your Name"
#    Then the "Your Name" text equals to ""
#
#  Scenario: css element
#    Then the "Your Name" css "font-size" equals to "14px"
#
#  Scenario: placeholder element
#    Then the "Your Name" placeholder equals to "Input name"
#
#  Scenario: getValue element
#    When input "simple text" in "Your Name"
#    Then the "Your Name" text equals to "simple text"
#
#  Scenario: getText element
#    Then the "Blue Button" text equals to "BIG BLUE BUTTON"
#
#  Scenario: getAttribute element
#    Then the "Disabled Name" attribute "id" equals to "disabled-name"
#
#  Scenario: isEnabled element
#    Then the "Your Name" is enabled
#
#  Scenario: isDisabled element
#    Then the "Disabled Name" is disabled
#
#  Scenario: isHidden element
#    Then the ".fa-sign-out" is hidden
#
#  Scenario: element does not appear
#    Then the ".fa-sign-out" does not appear
#
#  Scenario: isDisplayed element
#    Then the "Your Name" is displayed
#
#  Scenario: setText element
#    When input "simple text" in "#your-name[placeholder='Input name']"
#    Then the "Your Name" text equals to "simple text"
#    When set text "Input text" in "Your Name"
#    Then the "Your Name" text equals to "Input text"